import { AuthProvider, AuthProviderOptions } from '../auth.provider';
export interface LKFLAuthOptions extends AuthProviderOptions {
    inn: string;
    password: string;
}
export declare class LKFLAuth extends AuthProvider {
    private readonly inn;
    private readonly password;
    constructor(options: LKFLAuthOptions);
    authenticate(): Promise<void>;
}
