import { AuthProvider, AuthProviderOptions } from '../auth.provider';
export declare type OAuth2EsiaAuthOptions = AuthProviderOptions;
export declare class OAuth2EsiaAuth extends AuthProvider {
    private authorizationCode;
    private state;
    constructor(options: OAuth2EsiaAuthOptions);
    getEsiaUrl(): Promise<string>;
    setAuthorizationCode(value: string | undefined): void;
    setState(value: string | undefined): void;
    authenticate(): Promise<void>;
}
